var canvas, ctx, isContinue, timeoutID;

function start(canvasName, func) {
    if (timeoutID)
        stop();

    canvas = document.getElementById(canvasName);
    ctx = canvas.getContext("2d");
    isContinue = true;

    var loop = function() {
        func();
        if (isContinue)
            timeoutID = setTimeout(loop, 10);
    }

    loop();
}

function stop() {
    clearTimeout(timeoutID);
    isContinue = false;
}
