function pdf2cdf(pdf) {
    var cdf = pdf.slice();
    
    for (var i = 1; i < cdf.length - 1; i++)
        cdf[i] += cdf[i - 1];

    // Force set last cdf to 1, preventing floating-point summing error in the loop.
    cdf[cdf.length - 1] = 1;
    
    return cdf;
}